## webauth 4.6.1

=== debian/changelog ===
webauth (4.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix legacy support for AuthType StanfordAuth.
    - New mod_webkdc configuration directive, WebKdcFastArmorCache, that
      tells the WebKDC to always use FAST armor when obtaining initial
      credentials using a password.
    - Fix parsing of the WebKdcKerberosFactors directive.
    - New webauth_krb5_set_fast_armor_path API.
    - Show expiring password warning in WebLogin after any POST.
    - Translate KRB5_KDC_UNREACH into a user rejected error instead of an
      internal failure.
    - Translate an EINVAL error to an incorrect password error code.
    - Verify the username field on multifactor authentication to avoid
      warnings from later in the code.
    - Allow newlines, CRs, and tabs in XML from the WebKDC to the WebLogin
      server, fixing display of some user message elements.
    - Force display of the confirmation page if authorization identity
      switching is permitted.
    - Diagnose empty RT and ST parameters to WebLogin.
    - Add new factors mp (mobile push) and v (voice).
    - Warn in the mod_webauth documentation that all members of a
      load-balanced pool accepting credential delegation must use the same
      Kerberos identity.
  * Enable tests controlled with AUTOMATED_TESTING.
  * Rename packages and change library symbols for upstream SONAME bump
    and symbol versioning changes.

 -- Russ Allbery <rra@debian.org>  Wed, 23 Jul 2014 14:28:06 -0700

webauth (4.6.0-4) unstable; urgency=medium

  * Use an executable debian/libwebauth-perl.install file and some Perl
    code in debian/rules to pull the correct Perl arch-specific vendor
    module path from Perl during the build.  Should fix builds with Perl
    5.20.  Thanks, Niko Tyni and gregor herrmann.  (Closes: #752903)

 -- Russ Allbery <rra@debian.org>  Wed, 02 Jul 2014 21:54:21 -0700

webauth (4.6.0-3) unstable; urgency=medium

  * Handle ownership change of the mod_webauth keyring in the
    libapache2-webauth transition package as well, since that's the
    package that will see the versioned upgrade.
  * Tighten dependency of libwebkdc-perl on libwebauth-perl to ensure that
    the remctl password change API is available.
  * Refresh debian/copyright with current upstream LICENSE file.
  * Remove now-unneeded Lintian override for the upstream signing key.
  * Add a Lintian override for the dual-licensed protocol specification.

 -- Russ Allbery <rra@debian.org>  Sun, 13 Apr 2014 13:46:27 -0700
