=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 9), apache2-threaded-dev (>= 2.2),
+Build-Depends: debhelper (>= 9), apache2-dev (>> 2.4.4-3~), dh-apache2,
  dh-autoreconf, libapr1-dev, libaprutil1-dev, libcgi-application-perl,
  libcgi-application-plugin-autorunmode-perl,
  libcgi-application-plugin-forward-perl,
@@ -20,7 +20,7 @@
 Package: libapache2-mod-webauth
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2 (>= 2.4.4)
 Suggests: libapache2-mod-webauthldap
 Breaks: libapache2-webauth (<< 4.2.0)
 Replaces: libapache2-webauth (<< 4.2.0)
@@ -38,7 +38,7 @@
 Package: libapache2-mod-webauthldap
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common,
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2 (>= 2.4.4),
  libapache2-mod-webauth,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Breaks: libapache2-mod-webauth (<< 4.5.3-3~),
@@ -59,7 +59,7 @@
 Package: libapache2-mod-webkdc
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: libapache2-webkdc (<< 4.2.0)
 Replaces: libapache2-webkdc (<< 4.2.0)
 Description: Apache modules for a WebAuth authentication KDC
@@ -118,7 +118,7 @@
  does token encoding and decoding and other lower-level parts of the
  WebAuth protocol.
 
-Package: libwebauth10
+Package: libwebauth11
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -139,7 +139,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libwebauth10 (= ${binary:Version})
+Depends: ${misc:Depends}, libwebauth11 (= ${binary:Version})
 Suggests: libkrb5-dev, libapr1-dev
 Description: Development files for WebAuth authentication
  WebAuth is a cookie-based web authentication system built on top of
@@ -153,7 +153,7 @@
 Package: libwebkdc-perl
 Section: perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libwebauth-perl (>= 4.5.0),
+Depends: ${misc:Depends}, ${perl:Depends}, libwebauth-perl (>= 4.6.0),
  libcgi-application-perl, libcgi-application-plugin-autorunmode-perl,
  libcgi-application-plugin-forward-perl,
  libcgi-application-plugin-tt-perl, libcgi-fast-perl,
