## webauth 4.7.0

=== debian/changelog ===
webauth (4.7.0-6build2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:54:35 +0000

webauth (4.7.0-6build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:29:34 +0000

webauth (4.7.0-6) unstable; urgency=medium

  * Orphan this package, since I no longer use it and cannot therefore
    test or maintain it properly.  It has also been orphaned upstream.
  * Set Secure cookie flag properly with WebAuthSSLReturn.
  * Correctly honor WebKdcTokenMaxTTL for request tokens.
  * Suppress CGI warnings from using param in list context in WebLogin.
  * Add missing word in default WebLogin help text.  (Closes: #783289)
  * Update debhelper compatibility level to V11.
    - Remove now-unnecessary explicit dependency on dh-autoreconf.
  * Switch to the DEP-14 branch layout and update debian/gbp.conf and
    Vcs-Git accordingly.
  * Update standards version to 4.1.3 (no changes required).
  * Use https URL in debian/watch.

 -- Russ Allbery <rra@debian.org>  Thu, 28 Dec 2017 17:12:37 -0800

webauth (4.7.0-5) unstable; urgency=medium

  * Update build dependency to libssl-dev (OpenSSL 1.1).  (Closes: #859788)
  * Remove old transitional packages for the Apache module renaming.
  * Update standards version to 4.0.1.
    - Change all extra priorities to optional.

 -- Russ Allbery <rra@debian.org>  Mon, 07 Aug 2017 07:54:47 -0700

webauth (4.7.0-4) unstable; urgency=medium

  * Add a patch to change the function used to probe for the OpenSSL
    library, allowing WebAuth to build against OpenSSL 1.1.
  * Depend on libssl1.0-dev anyway, since Apache currently requires
    libssl1.0-dev and otherwise build dependencies are not installable.
    (Closes: #828597)
  * Mark libwebauth-perl Multi-Arch: same, trusting the multiarch hinter
    to be correct about this.
  * Change Vcs-Git and Vcs-Browser to https URLs.
  * Fix duplicate words in the documentation caught by Lintian.
  * Run wrap-and-sort -ast.
  * Update standards version to 3.9.8 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 13 Nov 2016 10:43:31 -0800

webauth (4.7.0-3) unstable; urgency=medium

  * Explicitly Build-Depend on libmodule-build-perl, since it will be
    removed from Perl core in the next release.  (Closes: #796156)
  * Mention WebKDC in the description of libwebkc-perl in case someone is
    searching for packages containing that module.
  * Add overrides for apache2-module-depends-on-real-apache2-package,
    which appears to be a bug in either lintian or dh_apache2.

 -- Russ Allbery <rra@debian.org>  Thu, 20 Aug 2015 19:24:05 -0700

webauth (4.7.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Moved libtime-duration-perl to Depends from Suggests.  This is now
    used unconditionally upstream.  (Closes: #783288)
  * Add debian/gbp.conf reflecting the branch layout of the default
    packaging repository.
  * Fix upstream distribution signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 26 Apr 2015 18:53:16 -0700

webauth (4.7.0-1) experimental; urgency=medium

  [ Russ Allbery ]
  * Upload to experimental due to release freeze.
  * Rename libwebauth11 to libwebauth12 for upstream SONAME change.
  * Update standards version to 3.9.6.

  [ Jon C. Robertson ]
  * New upstream release.
    - Recognize KRB5_BAD_ENCTYPE, KRB5_GET_IN_TKT_LOOP,
      KRB5_PREAUTH_FAILED, and KRB5KRB_AP_ERR_MODIFIED as additional
      synonyms for a failed login error code.  Various combinations of
      recent MIT and Heimdal with different KDCs return these error
      codes if the password is incorrect.
    - Added new fields to the userinfo service parsing and the WebLogin
      handling.  These allow for a more complicated multifactor
      configuration to be passed along from the user information
      service, with multiple possible multifactor devices and one
      default.
    - Give a validation remctl command its own timeout error, so that a
      failure to respond to validation is handled differently than any
      other timeout failure.  This is done so that we can handle
      out-of-band multifactor methods, such as a phone call.  Previously
      that would show up in WebLogin as a generic
      WK_ERR_UNRECOVERABLE_ERROR.
    - Ability to use JSON rather than XML for the user information
      service's return values.  This is activated with the
      WebKdcUserInfoJSON configuration directive.
    - Refactored the userinfo code to separate remctl support, XML
      parsing, and JSON parsing into separate source files for
      readability.
  * Added build-depends for libjansson-dev (>= 2.6), pkg-config,
    libfreezethaw-perl, libauthen-oath-perl,
    libcrypt-generatepassword-perl, libgetopt-long-descriptive-perl,
    libjson-perl, libmime-base32-perl, libnet-remctl-perl, and
    libwww-mechanize-perl.

 -- Russ Allbery <rra@debian.org>  Sun, 05 Apr 2015 17:17:38 -0700
