=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://webauth.stanford.edu/download.html ^dist/webauth-([^-]+)\.tar\.xz
